.dealer-card {
    display: flex;
    flex-direction: column;
    font-family: var(--font-family-1);
    max-width: 633px;
    box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.20);
    box-shadow: 0px 4px 8px 0px #00000026;
    background: #FFF;
    height: min-content;
}
.dealer-card img {
    width: 100%;
    aspect-ratio: 633/263;
    object-fit: cover;
}
.dealer-info>.card {
    border: unset !important;
    padding-inline: 1.5rem;
}

div.card-header {
    background: var(--gray-light-1);
    height: 3.75rem;
    border: 0;
    border-bottom: 1px;
    border-top: 1px;
    border-style: solid;
    border-color: var(--gray-light-6);
    border-radius: 0 !important;
    position: relative;
    padding: 0;
}
.card-body {
    padding: 1.25rem 2.5rem;
}
.card-body > div {
    row-gap: 1rem;
}
.collapse {
    border-bottom: 1px solid var(--gray-light-6);
}
div:has(> .dealersTitle) {
    max-width: 318px;
}
div:has(+ .dealer-info) div:has(> .dealersTitle) {
    max-width: initial;
}
.dealersTitle {
    font-family: var(--font-family-3);
    color: var(--gray-dark-11);
    font-size: 20px;

    font-weight: var(--weight-bolder);
    line-height: 26px;
    margin-bottom: .625rem;
}

.dealersAddress {
    font-family: var(--font-family-2);
    color: var(--gray-dark-11);
    font-size: var(--text-lg);
    font-weight: var(--weight-normal);
    line-height: 26px;
    margin: 0;
}
.dealer-info-hours {
    margin-inline: 1.5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 1.25rem;
}
.phone-title {
    font-family: var(--font-family-3);
    font-size: var(--text-lg);
    color: var(--gray-dark);
    font-weight: var(--weight-bolder);
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}
.btn-link {
    text-decoration: none;
    font-family: var(--font-family-3);
    color: var(--gray-dark-10);
    font-weight: var(--weight-bolder);
    font-size: 20px;
    line-height: 25px;
    width: 100%;
    text-align: left;
    border-bottom: none !important;
    padding: 0;
    background: none;
    border: none;
    outline: none;
    border-radius: 0;
    display: flex;
    height: 3.75rem;
    align-items: center;
    padding-left: 1.5rem;
    transition: all .2s ease-in-out;
}

.btn-link:hover {
    color: var(--gray-dark-10);
}

/* Initially rotate the SVG icon */
.btn.btn-link.collapsed>svg {
    transform: rotate(0deg);
    transition: transform 0.5s ease-in-out;
}

/* Rotate the SVG icon when the button is open */
.btn.btn-link:not(.collapsed)>svg {
    transform: rotate(180deg);
    transition: transform 0.5s ease-in-out;
}


.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check)+.btn:active {
    color: var(--gray-dark-10);
}

.dealer-info-tag {
    background-color: var(--gray-light-6);
    min-width: 80px;
    text-align: center;
    font-family: var(--font-family-2);
    font-size: 12px;
    line-height: normal;
    font-weight: var(--weight-normal);
    color: var(--gray-dark-11);
    border-radius: var(--text-xl) !important;
    margin-bottom: 1.5rem;
}

.dealer-info-name {
    font-size: var(--text-2xl);
    line-height: 2rem;
    font-weight: var(--weight-bolder);
    font-family: var(--font-family-1);
    color: var(--gray-dark-10);
}

.dealer-info-address {
    font-size: var(--text-md);
    line-height: 1.375rem;
    width: 70%;
    color: var(--gray-dark-2);
}

.dealer-info-shift-sets-title {
    color: var(--gray-dark-10);
    font-size: var(--text-xl);
    font-weight: var(--weight-bolder);
    font-family: var(--font-family-1);
    margin-bottom: 0.8125rem;
}

.dealer-info-shift-set-title {
    font-size: 20px;
    font-weight: var(--weight-bolder);
    font-family: var(--font-family-3);
    color: var(--gray-dark-11);
    Line-height: 26px;
    /* padding-bottom: 0.38rem; */
}

.dealer-info-shift-title {
    font-family: var(--font-family-2);
    font-size: 1rem;
    font-weight: var(--weight-normal);
    color: var(--gray-dark-11);
    line-height: 22px;
}
#accordion .dealer-info-shift-set-title {
    font-size: 1.5rem;
    line-height: 31px;
    color: #000;
    padding-bottom: 12px;
}
.dealer-info-shift-hours {
    font-family: var(--font-family-2);
    font-size: var(--text-md);
    font-weight: var(--weight-normal);
    color: var(--gray-dark-11);
    line-height: 22px;
    padding-top: 10px;
}

.dealer-links>div {
    gap: 1.25rem 1.5rem;
    flex-wrap: wrap;
}

.dealer-link {
    padding-top: var(--p-1);
    padding-bottom: var(--p-1);
    text-decoration: none;
}
:has(> .dealer-shift-sets) {
    max-width: calc(300px + 7.5%);
    padding-right: 7.5%;
    flex-grow: 1;
}
.dealer-shift-sets {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.dealer-shift {
    /* display: flex; */
    flex-direction: row;
    justify-content: space-between;
}
.dealer-phones {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    /* margin-top: var(--p-3);*/
}

.phoneTitle {
    font-size: var(--text-lg);
    font-weight: var(--weight-bolder);
}

.dealer-info-phone-number {
    font-size: var(--text-md);
    color: var(--gray-dark-11);
    font-weight: var(--weight-bolder);
    font-family: var(--font-family-3);
}
:has(>.dealer-info-links-location-text) path {
    stroke: var(--gray-dark-11);
}
.dealer-info-links-location-text {
    color: var(--brand);
    text-decoration: underline;
}

.dealer-info-links-web-text {
    font-weight: var(--weight-bolder);
    font-family: var(--font-family-3);
    text-decoration: underline;
}

.dealer-info-links-rating-link {
    color: var(--gray-dark-4);
}
.dealer-info-links-rating-text {
    font-family: var(--font-family-3);
    font-weight: var(--weight-bolder);
    color: var(--gray-dark-11);
    text-decoration: underline;
}
.dealer-links a {
    font-family: var(--font-family-3);
    font-size: var(--text-lg);
    font-weight: var(--weight-bolder);
    color: var(--gray-dark-11);
}
.dealer-info-links-web-link path, 
.dealer-info-links-rating-link path {
    fill: #000;
}
@media only screen and (min-width: 576px) {
    .dealer-shift-sets {
        display: flex;
        flex-direction: row;
        gap: 2rem;
    }

    .dealer-shift {
        display: flex;

        gap: 0.94rem;
    }

    .dealer-links {
        display: flex;
        justify-content: start;
        gap: 1.5rem;
        margin: 1.5rem;
    }

    .dealer-link {
        padding-top: var(--p-2);
        padding-bottom: var(--p-2);
        padding-left: var(--p-2);
        padding-right: o.5rem;
        text-decoration: underline;
    }

    .dealer-phones {
        display: flex;
        flex-direction: row;
        gap: 1.5rem;
    }
}

@media only screen and (min-width: 768px) {
    .dealer-info-phone-number {
        font-size: var(--text-lg);
    }

    .dealer-info-shift-set-title {
        font-size: var(--text-sl);
        padding-bottom: 5px;
    }
}

@media only screen and (min-width: 992px) {
    .dealer-links {
        display: flex;
        flex-direction: column;
        gap: 0rem;
        padding-left: 0rem;
        padding-right: 0rem;
    }

    .dealer-link {
        padding-top: var(--p-1);
        padding-bottom: var(--p-1);
        text-decoration: none;
    }

    .dealer-shift-sets {
        display: flex;
        flex-direction: column;
        gap: 0.69rem;
    }

    .dealer-shift {
        flex-direction: row;
        gap: 1.5rem;
        justify-content: flex-start;
    }

    .dealer-phones {
        flex-direction: row;
        /*gap: var(--p-2);*/
    }
}

@media only screen and (min-width: 1220px) {
    .dealer-info-links-location-text {
        line-height: 1.5rem;
    }

    .dealer-links>div {
        justify-content: space-around;
        max-width: 514px;
    }
    .dealer-link {
        padding: 0 8px;
        text-decoration: none;
    }

    .dealer-phones {
        flex-direction: row;
        gap: 1rem;
        justify-content: space-between;
    }

    .dealer-shift-sets {
        flex-direction: row;
        gap: 0.625rem;
    }

}

@media only screen and (min-width: 1400px) {
    .dealer-shift-sets {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 2rem;
    }

    .dealer-shift {
        display: flex;
        /* flex-direction: column; */
        gap: 0.875rem;
    }

    .dealer-links {
        display: flex;
        flex-direction: row;
        justify-content: start;
        gap: 1.5rem;
        margin: 1.5rem;
    }

    .dealer-link {
        padding: 0;
        text-decoration: underline;
    }

    .dealer-phones {
        display: flex;
        flex-direction: column;
        gap: .75rem;
        justify-content: flex-end;
    }
}


@media only screen and (max-width: 768px) {
    .dealers-content {
        gap: 2.5rem;
    }
    .dealersAddress {
        font-size: 18px;
    }

    .btn-link {
        padding-left: 12px;
        font-size: 16px;
        line-height: 22px;
    }
    .btn.btn-link:not(.collapsed) {
        font-size: 18px;
        line-height: 24px;
    }
    .card-body {
        padding: 1.25rem .75rem;
    }

    .dealer-info {
        padding: 0rem var(--p-3);
    }
    .dealer-info-shift-hours {
        padding: 0;
    }

    .dealer-info-phone-number {
        font-size: var(--text-md);
        line-height: 1.125rem;
    }

    .dealer-phones {
        gap: .75rem;
    }
    .dealer-links {
        margin: 1.5rem;
    }
    .dealer-info:has(>.card) > .dealer-links {
        margin-inline: .75rem;
    }
    .dealer-links>div {
        gap: 0 5.5px;
    }
    .dealer-link svg {
        width: 17px;
        height: 17px;
    }
    .dealer-info-links-rating-link {
        padding-left: 1rem;
    }
    :has(> .dealer-shift-sets) {
        padding: 0;
    }
    .dealer-shift {
        display: flex;
        gap: 1rem;
        flex-wrap: wrap;
    }
    .dealer-info-shift-set-title {
        margin-bottom: 1rem;
        font-size: 1rem;
        line-height: 21px;
    }
    #accordion .dealer-info-shift-set-title {
        padding-bottom: 0;
        margin-bottom: 8px;
        font-size: 1rem;
        line-height: 21px;
    }
    .dealer-info>.card {
        position: initial;
        padding-inline: .75rem;
    }
    .dealer-link {
        padding: .5rem;
    }
    .btn-link.collapsed {
        position: static;
    }

    .dealers-desktop-sidebar-location-selector-icon {
        margin: 0;
        width: 18px;
    }
    #accordion .dealer-info-shift-title, #accordion .dealer-info-shift-hours {
        font-size: .875rem;
        line-height: 1.125rem;
    }
}